> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove items from wishlist

> Remove one or more items from a wishlist for the authenticated user



## OpenAPI

````yaml /swagger/auth-api.json delete /api/v1/{app_id}/wishlists/{id}/items
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Auth API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //customers.enad.io
security: []
paths:
  /api/v1/{app_id}/wishlists/{id}/items:
    delete:
      tags:
        - Wishlist
      summary: Remove items from wishlist
      description: Remove one or more items from a wishlist for the authenticated user
      parameters:
        - description: UUID of the app
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: UUID of the wishlist
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.DeleteWishlistItemsRequest
        description: Items to remove
        required: true
      responses:
        '200':
          description: Items removed successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.Message
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
        '404':
          description: Wishlist not found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage
      security:
        - Bearer: []
components:
  schemas:
    github_com_enadhq_koopa-key_internal_pkg_server_models.DeleteWishlistItemsRequest:
      properties:
        product_ids:
          items:
            type: string
          minItems: 1
          type: array
      required:
        - product_ids
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_models.Message:
      properties:
        message:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_web.ErrorMessage:
      properties:
        details:
          items:
            type: string
          type: array
        message:
          type: string
        success:
          type: boolean
      type: object

````